### Class

# Ide FormatterOptions

#### Description

    final class Ide.FormatterOptions : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_formatter_options_new

No description available.

#### Instance methods

###### ide_formatter_options_get_insert_spaces

No description available.

###### ide_formatter_options_get_tab_width

No description available.

###### ide_formatter_options_set_insert_spaces

No description available.

###### ide_formatter_options_set_tab_width

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.FormatterOptions:insert-spaces

No description available.

###### Ide.FormatterOptions:tab-width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeFormatterOptionsClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.